Subject: Re: [PATCH] 2.6.18-rt7: PowerPC: fix breakage in threaded fasteoi type IRQ handlers

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 20 Nov 2006 07:04:09 +1100

On Mon, 2006-11-20 at 07:00 +1100, Benjamin Herrenschmidt wrote:
> On Sun, 2006-11-19 at 22:43 +0300, Sergei Shtylyov wrote:
> > As fasteoi type chips never had to define their ack() method before the
> > recent Ingo's change to handle_fasteoi_irq(), any attempt to execute handler
> > in thread resulted in the kernel crash. So, define their ack() methods to be
> > the same as their eoi() ones...
> > 
> > Signed-off-by: Sergei Shtylyov <[email-masked]>
> > 
> > ---
> > Since there was no feedback on three solutions I suggested, I'm going the way
> > of least resistance and making the fasteoi type chips behave the way that
> > handle_fasteoi_irq() is expecting from them...
> 
> Wait wait wait .... Can somebody (Ingo ?) explain me why the fasteoi
> handler is being changed and what is the rationale for adding an ack
> that was not necessary before ?

To be more precise, I don't see in what circumstances a fasteoi type PIC
would need an ack routine that does something different than the eoi...
and if it always does the same thing, why not just call eoi ?

Ben.